---
name: Jake Grothjan
start_date: 2020-10-12
locality: San Diego, CA
country: United States
role: <a href="/job-families/sales/smb-customer-advocate/">Account Executive (SMB), US West</a>
reports_to: james-k
picture: JakeGrothjan.jpeg
pronunciation: 
twitter: 
gitlab: jgrothjan1
departments:
- Sales
- Commercial Sales
expertise: 
story: 
